@charset "UTF-8";
:root {
  --background-color-rgb: 8, 9, 10;
  --background-color: #08090A;
  --header-height: 60px;
  --primary-color-rgb: 101, 36, 255;
  --primary-color: #6524FF;
  --text-color-rgb: 196, 196, 196;
  --text-color: #C4C4C4;
  --text-color-rgb: 196, 196, 196;
  --pure-white: #ffffff;
}

body {
  background-color: var(--background-color);
  color: var(--text-color);
  font-size: 20px;
  font-family: "Inter", sans-serif;
  font-weight: 600;
  margin: 0; /* Important pour le header absolute */
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  grid-template-rows: 1fr;
  grid-column-gap: 20px;
  grid-row-gap: 0px;
  overflow-x: hidden;
}

a {
  color: var(--text-color);
  text-decoration: none;
}

.icon-rotate {
  transform: rotate(-45deg);
}

:focus {
  outline: 5px solid var(--primary-color);
  outline-offset: 2px;
}

section:not(.hero) {
  position: relative;
  z-index: 2;
}

/* La grid est maintenant gérée par le body */
body {
  /* Le header et .noisy sont en position fixed, ils ne participent pas à la grid */
}
body > header,
body > .noisy {
  grid-column: unset;
}
body main,
body footer {
  padding-left: 40px;
  padding-right: 40px;
  grid-column: 1/7;
}
@media (min-width: 1280px) {
  body main,
  body footer {
    padding-left: 20px;
    padding-right: 20px;
    grid-column: 2/6;
  }
}

.separator {
  border-bottom: 1px solid var(--text-color);
  opacity: 0.6;
  margin: 10px 0;
}

.noisy {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url(data:image/png;base64,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);
  opacity: 0.05; /* Ajustez la force du grain ici */
  pointer-events: none; /* TRÈS IMPORTANT : permet de cliquer à travers */
  z-index: 2;
  display: grid;
  grid-template-columns: repeat(6, 1fr);
}
.noisy .grid-item {
  height: 100%;
  width: 100%;
  border-left: 1px solid var(--text-color);
  border-right: 1px solid var(--text-color);
}

/* Styles pour le nav en mode modal plein écran */
header .navigation.menu-display {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  z-index: 2000;
  background-color: rgba(var(--background-color-rgb), 0.99);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}
header .navigation.menu-display .navigation-items {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 30px;
  height: 100%;
  position: static;
  width: 100%;
  background: none;
}
header .navigation.menu-display .navigation-items .nav-item {
  font-size: 52px;
  border: none;
  padding: 0;
}

/* Bouton de fermeture du menu */
header .navigation {
  position: relative;
}
header .navigation .menu-close-btn {
  display: none;
  background: none;
  border: none;
  cursor: pointer;
  position: absolute;
  right: 20px;
  top: 20px;
  z-index: 2001;
  padding: 5px;
}
header .navigation .menu-close-btn .menu-nav-cross {
  width: 24px;
  height: 24px;
}
header .navigation.menu-display .menu-close-btn {
  display: block;
}

.btn {
  padding: 8px 20px;
  font-size: 16px;
  font-style: normal;
  line-height: 30px; /* 187.5% */
  text-transform: uppercase;
}
.btn.btn--primary {
  color: #DEDEDE;
  font-weight: 700;
  background-color: var(--primary-color);
  border: 1px solid var(--primary-color);
  border-radius: 8px;
}
.btn.btn--secondary {
  color: #C4C4C4;
  font-weight: 400;
  background-color: transparent;
  border: 1px solid var(--text-color);
  border-radius: 8px;
}

.section-title {
  display: flex;
  align-items: center;
  gap: 20px;
  padding-bottom: 20px;
  width: 100%;
  border-bottom: 1px solid var(--text-color);
  font-size: 24px;
  font-weight: 400;
}

header {
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  width: 100%;
  height: var(--header-height);
  padding: 0 20px;
  align-items: center;
  gap: 15px;
  background: rgba(0, 0, 0, 0.3);
  backdrop-filter: blur(6px);
  z-index: 1000;
}
header .logo {
  white-space: nowrap;
}
header .navigation {
  position: relative;
}
header .navigation.menu-display .navigation-items img {
  display: none;
}
header .navigation-items {
  list-style: none;
  margin: 0;
  padding: 0;
  display: none; /* Caché par défaut en mobile */
  position: absolute;
  top: var(--header-height);
  left: 0;
  width: 100%;
  background: rgba(8, 9, 10, 0.95);
}
header .nav-item {
  padding: 15px;
  text-align: center;
  border-bottom: 1px solid var(--text-color);
}
header .nav-item a {
  text-decoration: none;
  color: var(--text-color);
  display: block;
  transition: opacity 0.2s;
}
header .nav-item a:hover {
  opacity: 0.7;
}
header .date-time {
  opacity: 0.7;
  text-align: right;
  font-size: 14px;
  font-weight: 300;
  text-transform: uppercase;
  flex-grow: 1; /* Pousse le reste vers la droite */
}
header .navigation-menu-btn {
  background: none;
  border: none;
  cursor: pointer;
  padding: 5px;
  opacity: 0.7;
  display: flex;
  align-items: center;
}

.about-me,
.footer {
  margin-top: 200px;
}

.projects {
  padding-top: 120px;
}
.projects .projects-list {
  margin-top: 120px;
  display: flex;
  flex-direction: column;
  gap: 60px;
}
.projects .projects-list .project-item {
  width: 100%;
  aspect-ratio: 16/9;
  background-color: var(--text-color);
  padding: 20px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}
.projects .projects-list .project-item#alpsdesign {
  background-image: linear-gradient(to top, rgba(var(--background-color-rgb), 0.9), rgba(var(--background-color-rgb), 0.9), transparent), url(../assets/images/projects/alpsdesign/alpsdesign.jpg);
}
.projects .projects-list .project-item#vitrinemedia {
  background-image: linear-gradient(to top, rgba(var(--background-color-rgb), 0.9), rgba(var(--background-color-rgb), 0.9), transparent), url(../assets/images/projects/vitrinemedia/vitrinemedia.jpg);
}
.projects .projects-list .project-item#evevernhet {
  background-image: linear-gradient(to top, rgba(var(--background-color-rgb), 0.9), rgba(var(--background-color-rgb), 0.9), transparent), url(../assets/images/projects/evevernhet/evevernhet.jpg);
}
.projects .projects-list .project-item#alpsdesign, .projects .projects-list .project-item#vitrinemedia, .projects .projects-list .project-item#evevernhet {
  background-position: center;
  background-size: cover;
}
.projects .projects-list .project-item h3 {
  text-transform: uppercase;
}
.projects .projects-list .project-item-details {
  font-weight: 300;
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.projects .projects-list .project-item-details, .projects .projects-list .project-item-details button {
  font-size: 14px;
}

.about-me {
  padding: 10px;
}
.about-me h2 {
  font-size: 36px;
  font-weight: 600;
  padding-bottom: 40px;
}
.about-me .content {
  display: flex;
  flex-direction: column;
  gap: 32px;
}
.about-me .content p {
  font-weight: 300;
  line-height: 1.5;
  font-size: 22px;
}
.about-me .content .about-me_btn {
  display: flex;
  flex-direction: column;
  gap: 10px;
  text-align: center;
}

.footer {
  padding: 20px 10px;
}
.footer .links {
  display: flex;
  flex-direction: row;
  gap: 20px;
}
.footer .links a {
  color: var(--text-color);
  text-decoration: none;
}
.footer .legals {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: baseline;
  opacity: 0.7;
}
.footer .legals .copyright {
  font-size: 20px;
  font-weight: 300;
  line-height: normal;
}
.footer .legals a {
  padding-bottom: 4px;
  border-bottom: 2px solid var(--text-color);
}

/* --- Media Queries (commun) --- */
@media (min-width: 360px) {
  .date-time {
    font-size: 16px;
  }
}
@media (min-width: 768px) {
  main,
  footer {
    grid-column: 2/6;
  }
  body > .projects .project-item-details,
  main.container > .projects .project-item-details,
  div.container > .projects .project-item-details {
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
  }
  body > .projects .projects-list .project-item#alpsdesign,
  main.container > .projects .projects-list .project-item#alpsdesign,
  div.container > .projects .projects-list .project-item#alpsdesign {
    background-image: linear-gradient(to top, rgba(var(--background-color-rgb), 0.9), transparent), url(../assets/images/projects/alpsdesign/alpsdesign.jpg);
  }
  body > .projects .projects-list .project-item#vitrinemedia,
  main.container > .projects .projects-list .project-item#vitrinemedia,
  div.container > .projects .projects-list .project-item#vitrinemedia {
    background-image: linear-gradient(to top, rgba(var(--background-color-rgb), 0.9), transparent), url(../assets/images/projects/vitrinemedia/vitrinemedia.jpg);
  }
  body > .projects .projects-list .project-item#evevernhet,
  main.container > .projects .projects-list .project-item#evevernhet,
  div.container > .projects .projects-list .project-item#evevernhet {
    background-image: linear-gradient(to top, rgba(var(--background-color-rgb), 0.9), transparent), url(../assets/images/projects/evevernhet/evevernhet.jpg);
  }
  body > .about-me h2,
  main.container > .about-me h2,
  div.container > .about-me h2 {
    font-size: 56px;
    width: 50%;
  }
  body > .about-me .content,
  main.container > .about-me .content,
  div.container > .about-me .content {
    padding-left: 25%;
  }
  body > .about-me .content .about-me_btn,
  main.container > .about-me .content .about-me_btn,
  div.container > .about-me .content .about-me_btn {
    flex-direction: row;
  }
}
@media (min-width: 1440px) {
  .logo, .date-time {
    width: 240px;
    flex-grow: 0;
  }
  #header {
    /* On réinitialise la navigation pour le desktop */
  }
  #header .navigation {
    flex-grow: 1;
  }
  #header .navigation .navigation-items {
    display: flex;
    position: static;
    background: none;
    justify-content: space-around;
  }
  #header .navigation .navigation-items .nav-item {
    border: none;
    padding: 0;
    width: auto;
  }
  #header .navigation-menu-btn {
    display: none;
  }
  #header .date-time {
    width: 200px;
    flex-grow: 0;
  }
}
@media (min-width: 1440px) {
  header#header .navigation .navigation-items {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
  }
  header#header .navigation .navigation-items .nav-item {
    width: 100%;
    padding: 0;
  }
  header#header .navigation .navigation-items .nav-item a {
    padding: 10px 0;
    box-sizing: border-box;
    transition: 200ms;
    border-top: 1px solid transparent;
    border-bottom: 1px solid transparent;
  }
  header#header .navigation .navigation-items .nav-item span, header#header .navigation .navigation-items .nav-item a {
    margin: 0 10px;
  }
  header#header .navigation .navigation-items .nav-item.current {
    padding: 10px;
    border-top: 1px solid var(--text-color);
    border-bottom: 1px solid var(--text-color);
  }
  header#header .navigation .navigation-items .nav-item:not(.current) a img {
    opacity: 0;
  }
  header#header .navigation .navigation-items .nav-item:not(.current) a:hover {
    border-top: 1px solid rgba(var(--text-color-rgb), 0.5);
    border-bottom: 1px solid rgba(var(--text-color-rgb), 0.5);
  }
  header#header .navigation .navigation-items .nav-item:not(.current) a:hover img {
    opacity: 0.5;
  }
}
